Package org.eclipse.jface.text.source

## Class VerticalRulerEvent

- java.lang.Object
- - org.eclipse.jface.text.source.VerticalRulerEvent

    public class VerticalRulerEvent
    extends Object

An event sent to `IVerticalRulerListener` instances when annotation related event occurs on the vertical ruler.

Since:
  3.0

### Constructor Summary

Constructors
`VerticalRulerEvent​(Annotation annotation)` Creates a new event.
`VerticalRulerEvent​(Annotation annotation, Event event)` Creates a new event.

### Method Summary

All Methods Instance Methods Concrete Methods
`Event` `getEvent()`
`Annotation` `getSelectedAnnotation()`
`void` `setSelectedAnnotation​(Annotation annotation)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VerticalRulerEvent

    public VerticalRulerEvent​(Annotation annotation)

Creates a new event.

Parameters:
  `annotation` - the annotation concerned, or `null`

#### VerticalRulerEvent

    public VerticalRulerEvent​(Annotation annotation,
                              Event event)

Creates a new event.

Parameters:
  `annotation` - the annotation concerned, or `null`
  `event` - the SWT event that triggered this vertical ruler event, or `null`
Since:
  3.8

### Method Detail

#### getSelectedAnnotation

    public Annotation getSelectedAnnotation()

Returns:
  the concerned annotation or `null`

#### setSelectedAnnotation

    public void setSelectedAnnotation​(Annotation annotation)

Parameters:
  `annotation` - the concerned annotation, or `null`

#### getEvent

    public Event getEvent()

Returns:
  the SWT event that triggered this vertical ruler event, or `null`.
Since:
  3.8